c
c *** WARNING ***
c must be preceded by the include file hec_par.inc
c see user/datacard.info for the description of the datacards
c
c common for datacard values
c
c card    variable   
c
c rnmode  i 1= run_mode 
c intyp   i 1= in_typ 
c npass   i 1= n_pass
c nevtm   i 1= n_evtmax 
c runpd   i 1= irunpd
c mkped   i 1= mk_ped
c         i 2= nt_ped(1)
c         i 3= nt_ped(2)
c         r 4= sc_ped
c         i 5= tr_ped
c         i 6= io_ped(1)
c         i 7= io_ped(2)
c         i 8= io_ped(3)
c         i 9= io_ped(4)
c         i 10= pr_ped
c mkcub   i 1= mk_cub
c         r 2= sc_cub
c         i 3= tm_cub
c         i 4= fl_cub
c         i 5= t1_cub
c         i 6= t2_cub
c mkdig   i 1= mk_dig
c         i 2= pr_dig
c         i 3= t0_dig
c mpref   i 1= m_pref
c mkhis   i 1= mk_his
c         i 2= io_his
c         i 3= his_srch_flg
c hiscon  i 1 = histo_switch(1)
c         i 2 = histo_switch(2)
c         i 3 = histo_switch(3)
c         i 4 = histo_switch(4)
c         i 5 = histo_switch(5)
c         i 6 = histo_switch(6)
c         i 7 = histo_switch(7)
c hisctit##  c  his_clus_title(j)
c hisclus##  i   1= his_clus_cell_array(1, j) = n
c            i   2= his_clus_cell_array(2, j) , etc.
c            i n+1= his_clus_cell_array(n+1, j)
c iocal   i 1= io_cal(1)
c         i 2= io_cal(2)
c         i 3= io_cal(3)
c rrunh   i 1= run_no_cr
c         r 2= e_beam_cr
c         i 3= i_part_cr
c         r 4= x_cryo_cr
c         r 5= y_tabl_cr
c beamc   i 1= mk_beam
c         r 2= z_beam 
c         i 3= hpr_beam 
c         i 4= io_beam(1)
c         i 5= io_beam(2)
c mkcrl   i 1= mk_crl
c         i 2= io_crl
c search  i 1= hec_s_dk
c         r 2= hec_s_algo(1)
c         r 3= hec_s_algo(2)
c         r 4= hec_s_algo(3)
c         r 5= hec_s_algo(4)
c         r 6= hec_s_algo(5)
c mkntp   i 1= mk_ntp
c         i 2= io_ntp
c         i 3= eunits_ntp
c         r 4= tfilter_ntp
c         i 5= nt_user_switch
c online  i 1= auto_run
c         i 2= auto_rnnum
c         i 3= cr_tdc_wac_c
c         i 4= cr_tdc_wac_epi
c         i 5= cr_tdc_wac_mu
c
      integer run_mode
      integer in_typ(2)
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer mk_ped
      integer nt_ped(2)
      real    sc_ped
      integer tr_ped
      integer io_ped(4)
      integer pr_ped
      integer mk_cub
      real    sc_cub
      integer tm_cub, fl_cub, t1_cub, t2_cub
      integer mk_dig, pr_dig, t0_dig
      integer m_pref
      integer mk_his, io_his, his_srch_flg
      integer histo_switch(7)
      integer his_clus_cell_array(i_adc_dim+1, nclust_dim)
      integer his_clus_ititle(nclust_dim)
      character*4 his_clus_title(nclust_dim)
      integer io_cal(3)
      integer run_no_cr
      real    e_beam_cr
      integer i_part_cr
      real    x_cryo_cr
      real    y_tabl_cr
      integer mk_beam
      real    z_beam
      integer hpr_beam
      integer io_beam(2)
      integer mk_crl
      integer io_crl
      integer hec_s_dk
      real    hec_s_algo(5)
      integer mk_ntp, io_ntp, eunits_ntp, nt_user_switch
      real tfilter_ntp
      integer auto_run, auto_rnnum
      integer cr_tdc_wac_c, cr_tdc_wac_epi, cr_tdc_wac_mu       
c     
      common /sssdat/ run_mode,
     +                in_typ,
     +                n_pass,
     +                n_evtmax,
     +                irunpd,
     +                mk_ped, nt_ped, sc_ped, tr_ped, io_ped, pr_ped,
     +                mk_cub, sc_cub, tm_cub, fl_cub, t1_cub, t2_cub,
     +                mk_dig, pr_dig, t0_dig,
     +                m_pref,
     +                mk_his, io_his, his_srch_flg,
     +                histo_switch,
     +                his_clus_cell_array,
     +                his_clus_ititle, his_clus_title,
     +                io_cal,
     +                run_no_cr, e_beam_cr, i_part_cr,
     +                x_cryo_cr, y_tabl_cr,
     +                mk_beam,z_beam, hpr_beam, io_beam,
     +                mk_crl, io_crl,
     +                hec_s_dk, hec_s_algo,
     +                mk_ntp,io_ntp,eunits_ntp,tfilter_ntp,
     +                nt_user_switch,
     +                auto_run, auto_rnnum, 
     +                cr_tdc_wac_c, cr_tdc_wac_epi, cr_tdc_wac_mu
c





