c
c Calorimeter HV geometry and correspondence tables 
c
c
c 1999 TESTBEAM period
c
c HV Module present: 3 HV CAL  modules, 24 channels each
c                    4 HV PM   modules, 12 channels each
c                    3 HV MWPC modules,  6 channels each
c
c******************************************************************************
c HV table for calorimer:
c connects each HV module and channel to the corresponding calorimeter module,
c gap (est1, pad1, pad2,est2), and longitudinal segment
c
c hvtodb(hv_mod,hv_ch,3)        
c        par = 1 i_mod [1,3]  
c        par = 2 i_gap [1,4] (est1,pad1,pad2,est2)
c        par = 3 i_seg [1,4]
c
      integer nmodhv_cal_max,                     ! maximum # of HV modules
     +        nmodhv_pm_max,                      ! for calorimeter, PM, mwpc
     +        nmodhv_mwpc_max 
      parameter (nmodhv_cal_max = 3, nmodhv_pm_max = 4,     
     +	         nmodhv_mwpc_max = 3)
      integer nchhv_cal_max,                      ! max # of channels in each
     +        nchhv_pm_max,                       ! HV module
     +        nchhv_mwpc_max
      parameter (nchhv_cal_max = 24, nchhv_pm_max = 12,     
     +	         nchhv_mwpc_max = 6)
c
      integer nchcal_hv_used       ! actual # of HV channels used for cal. 
c
      integer hvtodb(0:nmodhv_cal_max-1,nchhv_cal_max,3)      
c
      common /ssshv /nchcal_hv_used,
     +               hvtodb








