      subroutine hec_runh_pass
c
c quick dummy pass to get runheader info 
c
      implicit none
c
c set maximum epio buffers with dummy arrays
c
      include'hec_maxepio.inc'
c
c user datacard values common
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc'
c
c local variable declaration
c
      logical hec_nextevt_epio_runh,ll
      external hec_nextevt_epio_runh
      integer iubuff, ierr
c
      print *, ' '
      print *, ' *** using hec_runh_pass.f to get run header info'
c
c initialise data io for pass
c
      call hec_io_pass_ini
c
c there is only 1 run header record per run, look for it
c
      ll = hec_nextevt_epio_runh(epdatabuf,iepbufset)
c
c handle end of event data io
c
      call hec_io_pass_evt
c
c print the epio banks stats
c
      if (in_typ(1) .eq. 2) call hec_stats_epio_print
c
c pass termination
c zebra
c
      if (in_typ(1) .eq. 1) then
        call fzendi(in_typ(2), 'T')
        call fzinfo(in_typ(2))
        rewind(in_typ(2))
c
c epio
c
      elseif (in_typ(1) .eq. 2) then
        call eprwnd(in_typ(2), iubuff, ierr)
        if (ierr .ne. 0) then
          print *, ' *** error calling eprwnd in hec_io_pass_ter', ierr
          stop
        endif
      endif
c
      print *, ' *** run header pass done'
c
      end

 
              
            
          
