      subroutine hec_his_ter
c
c output and delete system histograms
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
      include'hec_geo.inc'      !geometry correspondence tables
      include'hec_his_sys.inc'  !system histogram id
c
      integer istat, icycle
c
c open hbook file for system histograms
c
      call hropen(io_his, 'hec_adc', 'hec_adc.hbook', 'n', 1024, istat)
      if (istat .ne. 0) then
        print *, '*** problem opening system histograms hbook file ***',
     +  istat
        stop
      endif
c
c output and delete system histograms
c
      call hcdir('//hec_adc', ' ')
c
c      do i = 1, n_id_used
c        id = id_used(i)
        call hrout(0, icycle, ' ')
        call hdelet(0)
c      enddo
c
c close the system histograms hbook file
c
c      call hldir(' ', 't')
      call hrend('hec_adc')
      close(io_his)
c
      end

