#
# to produce the hec_adc executable for onlinescr
#
# VPATH sets where to look for include files (besides the current
# directory)
#
VPATH=../inc
#
# dummy object list
#
OBJECTS= user_ini.o 
#
# now figure out compiler and options for this platform
#
PLATFORM=$(shell uname)
ACCOUNT=$(shell whoami)
#
# HP Unix
#
ifeq "$(PLATFORM)" "HP-UX"
  ifeq "$(ACCOUNT)" "monitor"
    LIB = /usr/lib/libX11.a /usr/lib/libXm.a
    LINK         = link
  else
    LIB = -L/cern/pro/lib -lpacklib -lkernlib -lmathlib -lm -lX11
    LINK         = fort77 +ppu -O2
  endif
  COMP         = fort77 -c +ppu  -O2 -I../inc
  LIB_NAME     = hec_adc.a 
  OS_EXTENTION = 
endif
#
# compile 
#
ifeq "$(ACCOUNT)" "monitor"
  hec_adc : $(OBJECTS) ../$(LIBNAME)
	  $(LINK) $(OBJECTS) ../$(LIB_NAME) $(LIB) 
	  mv -f user_ini.run hec_adc
else
  hec_adc : ../$(LIBNAME)
	  $(LINK) ../$(LIB_NAME) $(LIB) 
	  mv -f a.out hec_adc
endif
#



