      PROGRAM hec_adc
c
c program to provide simple access to atlas hadronic endcap 
c testbeam data
c Michel Lefebvre
c Dugan O'Neil
c Carla Sbarra
c
c version 3.8
c
c see file hec_adc.versions for an update of the code versions
c see file hec_adc.readme for information
c see web page http://wwwhep.phys.uvic.ca/~uvatlas/hec_adc/hec_adc.html
c   for full details
c
c please send comments to uvatlas@pp.phys.uvic.ca
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
c
      print *,' '
      print *,'********************************'
      print *,'*                              *'
      print *,'*     HEC_ADC version 3.8      *'
      print *,'*                              *'
      print *,'********************************'
      print *,' '
c
c global initialization
c
      call hec_ini
c
c offline mode
c
      if (run_mode .eq. 1) then
        call hec_offline
c
c online mode
c
      elseif (run_mode .eq. 2) then
        call hec_online 
      endif
c
c global termination
c
      call hec_ter
c
      end



